	function svpice(temp)
c * Saturation Vapor Pressure over Ice
c .... version of 07.10.99

c     The input may be Kelvin or Celsius.
c     Goff/Gratch formula; coded 30 Jul 91 (Nagle)

	parameter (t0=273.16)

	t = temp
	if(t .lt. 100.) t = t + 273.16
	targ = t0/t
	vlog = -9.09718*(targ - 1.0) - 3.56654*alog10(targ)
     *		+0.876793*(1.0 - t/t0) + 0.7858350
	svpice = 10. ** vlog

	return
	end
